Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor from a previous next_cursor.

account_id
string<uuid>
required

Account to list transactions for.

Example:

"550e8400-e29b-41d4-a716-446655440001"

booked_at.gte
string<date-time>

Include transactions whose booked_at is greater than or equal to this ISO 8601 timestamp.

Example:

"2026-01-01T00:00:00Z"

booked_at.lte
string<date-time>

Include transactions whose booked_at is less than or equal to this ISO 8601 timestamp.

Example:

"2026-02-01T00:00:00Z"

Response

200 - application/json

Paginated list of transactions

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
Example:

"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"

has_previous
boolean
required
previous_cursor
string | null
required
Example:

"eyJsYXN0X2lkIjoiNTUwZTg0MDAtZTI5Yi00MWQ0LWE3MTYtNDQ2NjU1NDQwMDA2In0"